
# This is an R script that loads the SeaDuckDetectoR R package and launches an
  # interactive interface to run SeaDuckDetectoR. Additional example R code is 
  # included to demonstrate running SeaDuckDetectoR without the graphical interface.


# Place your mouse cursor at the begininng of each line, then click the "Run" button
# which is in the upper right portion of this window.

library(SeaDuckDetectoR)

SeaDuckDetectoR::loadPython()

SeaDuckDetectoR::runShiny()



# # Example of running model without the graphical interface. You will need to
# # erase or "uncomment" the # signs at the beginning of the below lines to run this code.

# predictions <- SeaDuckDetectoR::deploy_model(
#   data_dir = "W:\\My Drive\\ML\\SeaDuck\\sub_test_imgs",
#   recursive = TRUE,
#   file_extensions = c('.jpg', '.JPG'),
#   make_plots = TRUE,
#   plot_label = TRUE,
#   output_dir = NULL,
#   sample50 = FALSE,
#   write_bbox_csv = TRUE,
#   score_threshold = 0.3,
#   h = 5792,
#   w = 8688,
#   plotRes = 0.3,
#   lty = 1,
#   lwd = 2,
#   col = 'red'
# )
